Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFEvaluationWorkbook

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFEvaluationWorkbook

All Implemented Interfaces:
  EvaluationWorkbook, FormulaParsingWorkbook, FormulaRenderingWorkbook

    public final class HSSFEvaluationWorkbook

extends java.lang.Object
implements FormulaRenderingWorkbook, EvaluationWorkbook, FormulaParsingWorkbook

Internal POI use only

Author:
  Josh Micich

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.ss.formula.EvaluationWorkbook
`EvaluationWorkbook.ExternalName, EvaluationWorkbook.ExternalSheet`

Method Summary
`int` | `convertFromExternSheetIndex(int externSheetIndex)`
`static HSSFEvaluationWorkbook` | `create(HSSFWorkbook book)`
`EvaluationWorkbook.ExternalName` | `getExternalName(int externSheetIndex, int externNameIndex)`
`EvaluationWorkbook.ExternalSheet` | `getExternalSheet(int externSheetIndex)`
`int` | `getExternalSheetIndex(java.lang.String sheetName)` gets the externSheet index for a sheet from this workbook
`int` | `getExternalSheetIndex(java.lang.String workbookName, java.lang.String sheetName)` gets the externSheet index for a sheet from an external workbook
`Ptg[]` | `getFormulaTokens(EvaluationCell evalCell)`
`EvaluationName` | `getName(NamePtg namePtg)`
`EvaluationName` | `getName(java.lang.String name, int sheetIndex)` Lookup a named range by its name.
`java.lang.String` | `getNameText(NamePtg namePtg)`
`NameXPtg` | `getNameXPtg(java.lang.String name)`
`EvaluationSheet` | `getSheet(int sheetIndex)`
`int` | `getSheetIndex(EvaluationSheet evalSheet)`
`int` | `getSheetIndex(java.lang.String sheetName)` Finds a sheet index by case insensitive name.
`java.lang.String` | `getSheetName(int sheetIndex)`
`java.lang.String` | `getSheetNameByExternSheet(int externSheetIndex)`
`SpreadsheetVersion` | `getSpreadsheetVersion()` Returns an enum holding spreadhseet properties specific to an Excel version ( max column and row numbers, max arguments to a function, etc.)
`UDFFinder` | `getUDFFinder()`
`java.lang.String` | `resolveNameXText(NameXPtg n)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static HSSFEvaluationWorkbook create(HSSFWorkbook book)

### getExternalSheetIndex

    public int getExternalSheetIndex(java.lang.String sheetName)

  Description copied from interface: `FormulaParsingWorkbook`
  gets the externSheet index for a sheet from this workbook

  Specified by:
    `getExternalSheetIndex` in interface `FormulaParsingWorkbook`

### getExternalSheetIndex

    public int getExternalSheetIndex(java.lang.String workbookName,
                                     java.lang.String sheetName)

  Description copied from interface: `FormulaParsingWorkbook`
  gets the externSheet index for a sheet from an external workbook

  Specified by:
    `getExternalSheetIndex` in interface `FormulaParsingWorkbook`
  Parameters:
    `workbookName` - e.g. "Budget.xls"
    `sheetName` - a name of a sheet in that workbook

### getNameXPtg

    public NameXPtg getNameXPtg(java.lang.String name)

  Specified by:
    `getNameXPtg` in interface `FormulaParsingWorkbook`

### getName

    public EvaluationName getName(java.lang.String name,
                                  int sheetIndex)

  Lookup a named range by its name.

  Specified by:
    `getName` in interface `EvaluationWorkbook`
  Specified by:
    `getName` in interface `FormulaParsingWorkbook`
  Parameters:
    `name` - the name to search
    `sheetIndex` - the 0-based index of the sheet this formula belongs to. The sheet index is required to resolve sheet-level names. `-1` means workbook-global names

### getSheetIndex

    public int getSheetIndex(EvaluationSheet evalSheet)

  Specified by:
    `getSheetIndex` in interface `EvaluationWorkbook`
  Returns:
    -1 if the specified sheet is from a different book

### getSheetIndex

    public int getSheetIndex(java.lang.String sheetName)

  Description copied from interface: `EvaluationWorkbook`
  Finds a sheet index by case insensitive name.

  Specified by:
    `getSheetIndex` in interface `EvaluationWorkbook`
  Returns:
    the index of the sheet matching the specified name. -1 if not found

### getSheetName

    public java.lang.String getSheetName(int sheetIndex)

  Specified by:
    `getSheetName` in interface `EvaluationWorkbook`

### getSheet

    public EvaluationSheet getSheet(int sheetIndex)

  Specified by:
    `getSheet` in interface `EvaluationWorkbook`

### convertFromExternSheetIndex

    public int convertFromExternSheetIndex(int externSheetIndex)

  Specified by:
    `convertFromExternSheetIndex` in interface `EvaluationWorkbook`

### getExternalSheet

    public EvaluationWorkbook.ExternalSheet getExternalSheet(int externSheetIndex)

  Specified by:
    `getExternalSheet` in interface `EvaluationWorkbook`
  Specified by:
    `getExternalSheet` in interface `FormulaRenderingWorkbook`
  Returns:
    `null` if externSheetIndex refers to a sheet inside the current workbook

### getExternalName

    public EvaluationWorkbook.ExternalName getExternalName(int externSheetIndex,
                                                           int externNameIndex)

  Specified by:
    `getExternalName` in interface `EvaluationWorkbook`

### resolveNameXText

    public java.lang.String resolveNameXText(NameXPtg n)

  Specified by:
    `resolveNameXText` in interface `EvaluationWorkbook`
  Specified by:
    `resolveNameXText` in interface `FormulaRenderingWorkbook`

### getSheetNameByExternSheet

    public java.lang.String getSheetNameByExternSheet(int externSheetIndex)

  Specified by:
    `getSheetNameByExternSheet` in interface `FormulaRenderingWorkbook`

### getNameText

    public java.lang.String getNameText(NamePtg namePtg)

  Specified by:
    `getNameText` in interface `FormulaRenderingWorkbook`

### getName

    public EvaluationName getName(NamePtg namePtg)

  Specified by:
    `getName` in interface `EvaluationWorkbook`

### getFormulaTokens

    public Ptg[] getFormulaTokens(EvaluationCell evalCell)

  Specified by:
    `getFormulaTokens` in interface `EvaluationWorkbook`

### getUDFFinder

    public UDFFinder getUDFFinder()

  Specified by:
    `getUDFFinder` in interface `EvaluationWorkbook`

### getSpreadsheetVersion

    public SpreadsheetVersion getSpreadsheetVersion()

  Description copied from interface: `FormulaParsingWorkbook`
  Returns an enum holding spreadhseet properties specific to an Excel version ( max column and row numbers, max arguments to a function, etc.)

  Specified by:
    `getSpreadsheetVersion` in interface `FormulaParsingWorkbook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD